Page MenuHomePhabricator

Translations broken on Echo since last MediaWiki release
Closed, DuplicatePublic

Description

Echo display these messages since the last MW release:

  • MediaWiki:Notification-header-edit-thank
  • MediaWiki:Notification-header-mention-nosection
  • MediaWiki:Notification-header-mention

However, these messages are not translated, and, for French, not marked as missing.

I've changed language on wiki and tested it to display English, Spanish, Breton and French. Only English is available. Something is missing concerning translations?

Event Timeline

Trizek-WMF raised the priority of this task from to Unbreak Now!.
Trizek-WMF updated the task description. (Show Details)
Trizek-WMF added a project: Notifications.
Trizek-WMF added a subscriber: Trizek-WMF.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 6 2015, 1:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Thanks a lot for this clarification @SBisson. Just to know if something is missing, this has not been announced, correct?

Just to know if something is missing, this has not been announced, correct?

I haven't seen anything about it. How do we usually announce new messages that need translation?

How do we usually announce new messages that need translation?

I've sometimes seen major translations changes announced on TechNews. I've asked Johan about that.

Trizek-WMF lowered the priority of this task from Unbreak Now! to High.Nov 6 2015, 5:57 PM

I'm sending an email to translators-l, and this will be announced on TechNews as well.

matej_suchanek set Security to None.
matej_suchanek moved this task from To Triage to In current Tech/News draft on the User-notice board.
Elitre added a subscriber: Elitre.Nov 9 2015, 8:33 AM

So what is broken right now?

Any reason to think this is different from the long-standing brokenness of WMF's deployment system, reported at T103879: l10n-update not updating Vector and extensions?

SBisson closed this task as Resolved.Nov 20 2015, 5:18 PM
SBisson claimed this task.

This was about missing translations. They have been fixed.

This was about missing translations.

Not really.

They have been fixed.

Definitely not.

$ for file in *json; do git blame $file; done  | grep -E "otification-header-(edit-thank|mention-nosection|mention)" | grep 2015-11-19
85943737 (Translation updater bot 2015-11-19 21:35:25 +0100  86)        "notification-header-mention": "$1 در $4 در صفحهٔ بحث $3 به شما {{GENDER:$2|اشاره کرد}}.",
85943737 (Translation updater bot 2015-11-19 21:35:25 +0100  88)        "notification-header-mention-nosection": "$1 در [[:$4|صفحهٔ بحث $3]] به شما {{GENDER:$2|اشاره کرد}}.",

But https://fa.wikipedia.org/wiki/%D9%85%D8%AF%DB%8C%D8%A7%D9%88%DB%8C%DA%A9%DB%8C:Notification-header-mention is still in English.